# VecTDot

Computes an indefinite vector dot product. That is, this routine does NOT use the complex conjugate.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecTDot(Vec x,Vec y,PetscScalar *val)

Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

val -the dot product

### Notes for Users of Complex Numbers

For complex vectors, VecTDot() computes the indefinite form

        val = (x,y) = y^T x,

where y^T denotes the transpose of y.

Use VecDot() for the inner product

        val = (x,y) = y^H x,

where y^H denotes the conjugate transpose of y.

### C++ variants

| PetscScalar VecTDot(Vec x,Vec y) |  | -> |  | VecTDot(x,y,&s); return s;

### See Also

VecDot(), VecMTDot()

Level:intermediate
Location: src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages